> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roe-ai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Agent Job Status

> Get agent job status.

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url "https://api.roe-ai.com/v1/agents/jobs/YOUR_JOB_ID/status/" \
    --header "Authorization: Bearer YOUR_API_KEY"
  ```
</RequestExample>


## OpenAPI

````yaml GET /v1/agents/jobs/{job_id}/status/
openapi: 3.1.0
info:
  title: Roe AI API
  version: 1.0.0
  description: Complete API documentation for Roe AI platform
servers:
  - url: https://api.roe-ai.com
    description: Production API
security: []
paths:
  /v1/agents/jobs/{job_id}/status/:
    get:
      tags:
        - v1
      description: Get agent job status.
      operationId: v1_agents_jobs_status_retrieve
      parameters:
        - in: path
          name: job_id
          schema:
            type: string
            format: uuid
          required: true
        - name: organization_id
          in: query
          required: false
          schema:
            type: string
            format: uuid
          description: >-
            Organization ID. This is required for access control. It can be
            provided via query or request body depending on the endpoint.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentJobStatus'
              examples:
                Example:
                  value:
                    status: 3
                    timestamp: 1719556664.569293
          description: Agent job status
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: >-
            Access to the Agents feature is forbidden or permission to access
            this agent job denied
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Agent job not found
components:
  schemas:
    AgentJobStatus:
      type: object
      properties:
        status:
          type: integer
          description: >-
            Status code. 0: PENDING, 1: STARTED, 2: RETRY, 3: SUCCESS, 4:
            FAILURE, 5: CANCELLED, 6: CACHED
        timestamp:
          type: integer
          description: Unix timestamp in seconds
        error_message:
          type: string
          description: Error message if status is RETRY or FAILURE
      required:
        - status
        - timestamp
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: Error message
      required:
        - message

````